---
docker_container_enabled: false

docker_container_base_path: "{{ docker_container_path }}/matrix-email-bot"
docker_container_config_dir_path: "{{ docker_container_base_path }}/config"
docker_container_data_dir_path: "{{ docker_container_base_path }}/data"
docker_container_docker_src_files_path: "{{ docker_container_base_path }}/docker-src"

docker_container_container_image_self_build: false
docker_container_container_image_self_build_repo: "https://github.com/t2bot/matrix-email-bot.git"
docker_container_container_image_self_build_branch: "{{ docker_container_version }}"

docker_container_version: v2.0.1
docker_container_docker_image_prefix: "{{ 'localhost/' if docker_container_container_image_self_build else docker_container_global_registry_prefix }}"
docker_container_docker_image: "{{ docker_container_docker_image_prefix }}t2bot/matrix-email-bot:{{ docker_container_version }}"
docker_container_docker_image_force_pull: "{{ docker_container_docker_image.endswith(':latest') }}"

# A list of extra arguments to pass to the container
docker_container_container_extra_arguments: []

# List of systemd services that matrix-emailbot.service depends on
docker_container_systemd_required_services_list: ["docker.service"]

docker_container_hostname: "email.{{ docker_domain }}"

docker_container_internal_bind_port: 80

# Takes an "<ip>:<port>" or "<port>" value (e.g. "127.0.0.1:3000"), or empty string to not expose.
docker_container_host_bind_port: ""

docker_container_accesstoken: "YOUR_TOKEN_HERE"

# This is the 'secret' used by the local agent (when invoked) to post the message to the web
# server. Be sure to make this nice and random!
docker_container_secret: "YOUR_SECRET_HERE"

docker_container_misc_debug: false
